Subject: Re: why is bash trying to access my DNS?
From: David Means <[email-masked]>
To: [email-masked]
Date: 03 Mar 2003 18:06:43 -0500

Can you show us your PATH and all of your mount points?

In the meantime, I'll upgrade my cygwin @ home.  If I don't find the
same behaviour, I'll check my config at work.

On Mon, 2003-03-03 at 17:52, Geoffrey Hausheer wrote:
> On Mon, 3 Mar 2003 16:42:51 -0500 (EST), "Igor Pechtchanski
> [email-masked] {Cygwin}"
> <[email-masked]> said:
> > Geoffrey,
> >
> > Well, first off, your strace output seems hosed.  There might have been a
> > problem while pasting it.  Next time, try the "-o" option of strace...
> > You can then edit the resulting file to get the relevant snippet.  Also,
> > pasting strace output in a message reformats it.  Try attaching it
> > (compressed if it's too large).
> it seems my mail client always compresses my attachemnts, and I can't do
> anything 
> about it, and the maillist spam-filters block my compressed version, and
> the 
> maillist won't accept my 'I am not a spammer mail'  so I guess i can't
> send the 
> strace output.
> 
> I did diff the strace output with and without allowing access to the DNS
> lookup,
> and there are no significant differences.
> 
> >
> > For how long a while haven't you updated?  Do you have old-style cygdrive
> > paths (e.g. "//c") in your path?  Those now refer to Windows UNC paths,
> > which would be one explanation for this behavior.
> It has probably been 2 months since I updated.  I have no '//c' in my
> paths
> 
> Please let me know if there is anything else I can do.  While I am
> certain that something about the cygwin upgrade ssh install caused this
> change, it
> seems toaffect other applictaions too (ipconfig now does a DNS request
> too, which
> it neverused to do)
> 
> Thanks,
> Geoff 
-- 
David Means

Being a programmer is like being married: You talk to your
spouse about lots of things, only to find that something you 
said (and promptly forgot) has come back to bite you in the ass 
months later.